Skip to content

Create SEO keyword

POST
/api/v1/content/keywords
curl --request POST \
--url https://api.ultimateteam.ai/api/v1/content/keywords \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "commercial_intent": 1, "difficulty_score": 1, "keyword": "example", "relevance_score": 1, "search_volume": 1, "topic_cluster": "" }'

Track a new SEO keyword.

Media typeapplication/json
SEOKeywordCreate

Request body for creating an SEO keyword.

object
commercial_intent
Any of:
number
<= 1
difficulty_score
Any of:
number
<= 100
keyword
required
Keyword
string
>= 1 characters <= 255 characters
relevance_score
Any of:
number
<= 1
search_volume
Any of:
integer
topic_cluster
Topic Cluster
string
"" <= 100 characters

Successful Response

Media typeapplication/json
SEOKeywordResponse

Response body for a single SEO keyword.

object
commercial_intent
Any of:
number
created_at
required
Created At
string format: date-time
current_rank
Any of:
integer
difficulty_score
Any of:
number
id
required
Id
string
keyword
required
Keyword
string
ranking_history
Ranking History
Array
relevance_score
Any of:
number
search_volume
Any of:
integer
status
required
Status
string
target_content_slug
Any of:
string
tenant_id
required
Tenant Id
string
topic_cluster
required
Topic Cluster
string
updated_at
required
Updated At
string format: date-time
Examplegenerated
{
"commercial_intent": 1,
"created_at": "2026-04-15T12:00:00Z",
"current_rank": 1,
"difficulty_score": 1,
"id": "example",
"keyword": "example",
"ranking_history": [
"example"
],
"relevance_score": 1,
"search_volume": 1,
"status": "example",
"target_content_slug": "example",
"tenant_id": "example",
"topic_cluster": "example",
"updated_at": "2026-04-15T12:00:00Z"
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}